Subject: Re: [PATCH v6 06/11] ref-filter: implement '--merged' and '--no-merged' options

From: Junio C Hamano <[email-masked]>
Date: Tue, 30 Jun 2015 08:58:15 -0700

Karthik Nayak <[email-masked]> writes:

>> I also have a feeling that compared to an implementation based on
>> paint_down_to_common(), including is_descendant_of(), this may be
>> less precise (e.g. it would be confused with clock skew that lasts
>> more than SLOP commits).  If we are inventing a new helper (as
>> opposed to moving an existing one), we'd probably be better off
>> doing a thin wrapper around paint_down_to_common() than calling
>> revision-walk machinery.
>
> I'll have a look and get back to you.

Not as part of this series, now I know it is a straight-forward port
of what we already have for "branch --merged".  This series is not
yet about improving counting logic but first unifying the three.

Thanks.